14 Star 54 Fork 12

星火计划 / 星火应用商店 Spark-Store

星火商店2.0版本无法在Ubuntu 20.10上运行

Declined
MATRIX-feather  Opened this issue

https://www.spark-app.store/download.html下载的商店安装包和依赖包,装完之后发现缺少libqt5webenginewidgets5依赖。
装完libqt5webenginewidgets5之后再启动,报错QObject::connect: No such slot Dtk::Gui::DNativeSettings::_q_onThemePropertyChanged(const QByteArray &, const QVariant &)然后就退出了。
SEGV

4915358 superendermansm 1600421359 5713626 samlukeyes 1604473170 7392693 zty199 1585638509 5326296 matrix feather 1598423613 total 4 participants

Comments (4)

4915358 superendermansm 1600421359
shenmo 2020-09-05 13:26 owner

段错误这个不清楚具体原因

4915358 superendermansm 1600421359
shenmo 2020-09-05 13:26 owner

我们每个版本都在ukylin和deepin 20测试

5713626 samlukeyes 1604473170
123 2021-01-03 12:41

@shenmo 可能是 Qt 版本不一致?

7392693 zty199 1585638509
zty199 2021-01-03 13:07 member

@shenmo 可能是 Qt 版本不一致?

@123 远古问题了,DTK 的关于窗口问题。如果使用了自定义的 DAboutDialog 就会启动时报段错误。如果使用原始的关于窗口,则点击关于按钮后报段错误。现在用的还是默认关于窗口,只要不点击按钮就能正常运行。

Sign in to comment

Assignees
Labels
Not set
Projects
Milestones
Branches
Planed to start
Not set
Planed to end
Not set
Top level
Priority
C++
1
https://gitee.com/deepin-community-store/spark-store.git
git@gitee.com:deepin-community-store/spark-store.git
deepin-community-store
spark-store
星火应用商店 Spark-Store

Search

103611 48b8ff67 1899542 103622 4d02230c 1899542